Loading...
Searching...
No Matches
isomorphism.cpp File Reference
`#include <openbabel/mol.h>`
`#include <openbabel/isomorphism.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/oberror.h>`
`#include <openbabel/query.h>`
`#include <openbabel/graphsym.h>`
`#include <ctime>`
`#include <cassert>`
`#include <algorithm>`

## Namespaces

namespace | OpenBabel

## Macros

#define | DEBUG 0

## Functions

template<typename T>
void | print_vector (const std::string &label, const std::vector< T > &v)
bool | isFerroceneBond (OBBond *bond)
OBQuery * | CompileAutomorphismQuery (OBMol *mol, const OBBitVec &mask, const std::vector< unsigned int > &symClasses)
bool | FindAutomorphisms (OBMol *mol, Automorphisms &maps, const OBBitVec &mask, std::size_t maxMemory)
bool | FindAutomorphisms (OBMol *mol, Automorphisms &maps, const std::vector< unsigned int > &symClasses, const OBBitVec &mask, std::size_t maxMemory)
OBBitVec | getFragment (OBAtom *atom, const OBBitVec &mask, const std::vector< OBBond * > &metalloceneBonds=std::vector< OBBond * >())
void | FindAutomorphisms (OBIsomorphismMapper::Functor &functor, OBMol *mol, const std::vector< unsigned int > &symmetry_classes, const OBBitVec &mask=OBBitVec())

## Variables

static const char * | red = "\033[1;31m"
static const char * | green = "\033[1;32m"
static const char * | yellow = "\033[1;33m"
static const char * | blue = "\033[1;34m"
static const char * | normal = "\033[0m"

## Detailed Description

OBIsomorphismMapper class for finding isomorphisms.

## Macro Definition Documentation

## DEBUG

#define DEBUG 0